Foreman - Bug #24194

Can't edit http proxy with name containing a dot
07/09/2018 06:17 AM - Gjermund Jensvoll

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Network
Target version: 1.19.0
Difficulty: Fixed in Releases: 1.19.0
Triaged: No Found in Releases: 1.17.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5825
Description
Description

Editing a http proxy with a dot in the name (not URL) results in a "The page you were looking for doesn't exist."

How reproducible:
Every time

Steps to Reproduce:

1. Go to https://katello.example.com/http_proxies

2. Make a new HTTP proxy

3. Name it with a fqdn in the Name field (example: proxy.example.com)
4. Fill out URL and press Submit

5. Click on proxy.example.com

Actual results:

The page you were looking for doesn't exist.
You may have mistyped the address or the page may have moved.
If you are the application owner check the logs for more information.

Expected results:
Should be able to edit the proxy

Additional info:
production.log shows:

2018-07-09T08:15:56 4294c2b5 [app] [I] Started GET "/http_proxies/proxy.example.com/edit" for 192.
168.0.100 at 2018-07-09 08:15:56 +0200
2018-07-09T08:15:56 4294c2b5 [app] [F]
2018-07-09T08:15:56 4294c2b5 [app] [F] ActionController::RoutingError (No route matches [GET] "/ht
tp_proxies/proxy.example.com/edit") :
2018-07-09T08:15:56 4294c2b5 [app] [F]
2018-07-09T08:15:56 4294c2b5 [app] [F] lib/middleware/tagged_logging.rb:18:in “call'
| katello (3.6.0) lib/katello/prevent_json_parsing.rb:12:in “call'

Associated revisions

Revision ab289f90 - 07/12/2018 08:28 AM - Marek Hulan
Fixes #24194 - support dots in name for http proxies

History
https://katello.example.com/http_proxies

#1 - 07/11/2018 05:58 PM - Justin Sherrill
- Project changed from Katello to Foreman

- Category deleted (Web Ul)

Moving to foreman, as this feature lives there.

#2 - 07/12/2018 06:46 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/foreman/pull/5825 added

#3 - 07/12/2018 08:30 AM - Tomer Brisker
- Target version set to 1.19.0

- Fixed in Releases 1.19.0 added

- Found in Releases 1.17.0 added

#4 - 07/12/2018 09:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ab289f9037e649c43b8e6d53b1a7ae3dd18c4e29.

#5 - 07/19/2018 11:14 AM - Ewoud Kohl van Wijngaarden
- Category set to Network
